Teams
Organize teammates and route conversations to the right group.
8 generated endpoints in this resource group.
/teamsList teams#
Returns teams that can own inboxes, conversations, and chatbot assignments.
Authorization
Scheme
- bearerAuth
Required scopes
- team:list
Allowed roles
- owner
- admin
- agent
List teams in the workspace.
Optional parameters
- Name
pageSize- Type
- query integer
- Description
- Optional parameter.
- Name
pageToken- Type
- query string
- Description
- Optional parameter.
Responses
- Name
200- Type
- application/json
- Description
- List of teams
- Name
default- Type
- application/json
- Description
- Error
Related schemas
Request
curl -G "https://api.flownally.com/v1/teams" \
-H "Authorization: Bearer {token}" \
-d pageSize="{pageSize}" \
-d pageToken="{pageToken}"Response
{
"teams": [
{
"id": "team_01HV8Y6W0W4T5A8S9V7Q2P1M3",
"createdAt": "2026-04-30T08:45:00Z",
"updatedAt": "2026-04-30T09:05:00Z",
"tenantId": "tn_01HV8Y1N3QPY9X2HBQ1M9E8D0",
"name": "Support",
"description": "First line customer support.",
"agentIds": [
"usr_01HV8Y3K2R6G7K3F5B9N8M1Q0"
]
}
],
"nextPageToken": "string",
"totalSize": 0
}/teamsCreate team#
Creates a team for routing conversations and organizing teammates.
Authorization
Scheme
- bearerAuth
Required scopes
- team:create
Allowed roles
- owner
- admin
Create a team in the workspace.
Request body
Send a application/json body. The body is required for this operation.
Required attributes
- Name
name- Type
- string
- Description
- Required request attribute.
Optional attributes
- Name
description- Type
- string
- Description
- Optional request attribute.
Responses
- Name
201- Type
- application/json
- Description
- Team created
- Name
default- Type
- application/json
- Description
- Error
Related schemas
Request
curl -X POST "https://api.flownally.com/v1/teams" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json" \
-d '{
"name": "Support",
"description": "First line customer support."
}'Response
{
"id": "team_01HV8Y6W0W4T5A8S9V7Q2P1M3",
"createdAt": "2026-04-30T08:45:00Z",
"updatedAt": "2026-04-30T09:05:00Z",
"tenantId": "tn_01HV8Y1N3QPY9X2HBQ1M9E8D0",
"name": "Support",
"description": "First line customer support.",
"agentIds": [
"usr_01HV8Y3K2R6G7K3F5B9N8M1Q0"
]
}/teams/{id}Get team#
Returns one team and its current agent assignments.
Authorization
Scheme
- bearerAuth
Required scopes
- team:read
Allowed roles
- owner
- admin
- agent
Read a team in the workspace.
Required parameters
- Name
id- Type
- path string
- Description
- Required parameter.
Responses
- Name
200- Type
- application/json
- Description
- Team details
- Name
default- Type
- application/json
- Description
- Error
Related schemas
Request
curl -X GET "https://api.flownally.com/v1/teams/{id}" \
-H "Authorization: Bearer {token}"Response
{
"id": "team_01HV8Y6W0W4T5A8S9V7Q2P1M3",
"createdAt": "2026-04-30T08:45:00Z",
"updatedAt": "2026-04-30T09:05:00Z",
"tenantId": "tn_01HV8Y1N3QPY9X2HBQ1M9E8D0",
"name": "Support",
"description": "First line customer support.",
"agentIds": [
"usr_01HV8Y3K2R6G7K3F5B9N8M1Q0"
]
}/teams/{id}Update team#
Updates a team's display name or description.
Authorization
Scheme
- bearerAuth
Required scopes
- team:update
Allowed roles
- owner
- admin
Update a team in the workspace.
Required parameters
- Name
id- Type
- path string
- Description
- Required parameter.
Request body
Send a application/json body. The body is required for this operation.
Optional attributes
- Name
name- Type
- string
- Description
- Optional request attribute.
- Name
description- Type
- string
- Description
- Optional request attribute.
Responses
- Name
200- Type
- application/json
- Description
- Team updated
- Name
default- Type
- application/json
- Description
- Error
Related schemas
Request
curl -X PUT "https://api.flownally.com/v1/teams/{id}" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json" \
-d '{
"name": "order_ready",
"description": "string"
}'Response
{
"id": "team_01HV8Y6W0W4T5A8S9V7Q2P1M3",
"createdAt": "2026-04-30T08:45:00Z",
"updatedAt": "2026-04-30T09:05:00Z",
"tenantId": "tn_01HV8Y1N3QPY9X2HBQ1M9E8D0",
"name": "Support",
"description": "First line customer support.",
"agentIds": [
"usr_01HV8Y3K2R6G7K3F5B9N8M1Q0"
]
}/teams/{id}Delete team#
Deletes a team that is no longer used for routing or assignments.
Authorization
Scheme
- bearerAuth
Required scopes
- team:delete
Allowed roles
- owner
- admin
Delete a team in the workspace.
Required parameters
- Name
id- Type
- path string
- Description
- Required parameter.
Responses
- Name
204- Description
- Team deleted
- Name
default- Type
- application/json
- Description
- Error
Related schemas
Request
curl -X DELETE "https://api.flownally.com/v1/teams/{id}" \
-H "Authorization: Bearer {token}"Response
204 Team deleted/teams/{id}/agentsList team agents#
Returns users assigned to the team.
Authorization
Scheme
- bearerAuth
Required scopes
- team:read
Allowed roles
- owner
- admin
- agent
List agents assigned to a team.
Required parameters
- Name
id- Type
- path string
- Description
- Required parameter.
Responses
- Name
200- Type
- application/json
- Description
- List of agents
- Name
default- Type
- application/json
- Description
- Error
Related schemas
Request
curl -X GET "https://api.flownally.com/v1/teams/{id}/agents" \
-H "Authorization: Bearer {token}"Response
{
"agents": [
{
"id": "string",
"createdAt": "2026-04-27T00:00:00.000Z",
"tenantId": "string",
"teamId": "string",
"userId": "string"
}
]
}/teams/{id}/agentsAdd agent to team#
Assigns a user to the team so they can work conversations routed there.
Authorization
Scheme
- bearerAuth
Required scopes
- team:assign_user
Allowed roles
- owner
- admin
Add an agent to a team.
Required parameters
- Name
id- Type
- path string
- Description
- Required parameter.
Request body
Send a application/json body. The body is required for this operation.
Required attributes
- Name
userId- Type
- string
- Description
- Required request attribute.
Responses
- Name
201- Type
- application/json
- Description
- Agent added
- Name
default- Type
- application/json
- Description
- Error
Related schemas
Request
curl -X POST "https://api.flownally.com/v1/teams/{id}/agents" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json" \
-d '{
"userId": "usr_01HV8Y3K2R6G7K3F5B9N8M1Q0"
}'Response
{
"id": "string",
"createdAt": "2026-04-27T00:00:00.000Z",
"tenantId": "string",
"teamId": "string",
"userId": "string"
}/teams/{id}/agents/{userId}Remove agent from team#
Removes a user from the team.
Authorization
Scheme
- bearerAuth
Required scopes
- team:remove_user
Allowed roles
- owner
- admin
Remove an agent from a team.
Required parameters
- Name
id- Type
- path string
- Description
- Required parameter.
- Name
userId- Type
- path string
- Description
- Required parameter.
Responses
- Name
204- Description
- Agent removed
- Name
default- Type
- application/json
- Description
- Error
Related schemas
Request
curl -X DELETE "https://api.flownally.com/v1/teams/{id}/agents/{userId}" \
-H "Authorization: Bearer {token}"Response
204 Agent removed